/*
Copyright (C) 2011, Raytheon BBN Technologies and contributors listed
in the AUTHORS file in the MADV distribution's top directory.

This file is part of MADV, and is distributed under the terms of the
GNU General Public License, with a linking exception, as described in
the file LICENSE in the MADV distribution's top directory. */
package com.bbn.morph.controller.test;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.List;

import com.bbn.morph.model.ComponentLibraries;
import com.bbn.morph.model.CompositeModel;
import com.bbn.morph.model.InvalidModelException;
import com.bbn.morph.model.fb.FBParser;
import com.bbn.morph.view.FB;

public class FirstRobotModel {

  public static CompositeModel getCompositeModel() throws InvalidModelException {
    ComponentLibraries libraries = new ComponentLibraries();
    libraries.loadLibraries();
    
    CompositeModel compositeModel = new CompositeModel("resources/xmlModels/simple-bot3.xml",
        "resources/xmlModels/simple-env.xml", libraries, "resources/xmlModels/evaluators.xml");
    try {
      List<FB> fBs = FBParser.parseFB(new FileInputStream("resources/xmlModels/blueprints.xml"));
      for (FB fb : fBs) {
        compositeModel.addFunctionalBlueprint(fb);
      }
    }
    catch (IOException ex) {
      throw new InvalidModelException(ex);
    }
    return compositeModel;
  }

}
