/*
Copyright (C) 2011, Raytheon BBN Technologies and contributors listed
in the AUTHORS file in the MADV distribution's top directory.

This file is part of MADV, and is distributed under the terms of the
GNU General Public License, with a linking exception, as described in
the file LICENSE in the MADV distribution's top directory. */
package com.bbn.morph.controller.test;

import com.bbn.morph.controller.Controller;
import com.bbn.morph.model.CompositeModel;
import com.bbn.morph.model.InvalidModelException;
import com.bbn.morph.model.Measurement;
import com.bbn.morph.model.Units;
import com.bbn.morph.model.test.FBTestGenerator;
import com.bbn.morph.view.RobotAttribute;

public class TestController {

  // test the Controller
  public static void main(String[] args) throws InvalidModelException {
    CompositeModel compositeModel = FirstRobotModel.getCompositeModel();
    Controller controller = new Controller(compositeModel);
    //update the desired model   
    Measurement finalBodylength = new Measurement(Units.getMeters(), 4);
    controller.changeDesiredModel(compositeModel.getDesiredRobotModel(), compositeModel.getRobotModel(), new RobotAttribute(FBTestGenerator.bodyLengthAttribute), finalBodylength);
    
    
    for (int i=1; i<=20; i++) {
      boolean changed = controller.runIteration();
      System.out.println("Iteration "+i+": "+controller.toString());
      if (!changed)
        break;
    }
  }

}
