package com.bbn.morph.evaluator;

import java.util.HashSet;
import java.util.Set;

import com.bbn.morph.executer.Feature;
import com.bbn.morph.executer.StressInputType;
import com.bbn.morph.executer.StressInputs;
import com.bbn.morph.model.Measurement;
import com.bbn.morph.model.test.FBTestGenerator;
import com.bbn.morph.view.AttributeValueView;
import com.bbn.morph.view.RobotAttribute;

public class BodyShapeEvaluator implements Evaluator {

	private AttributeValueView m_model;
	private String m_bodyLength;
	private String m_bodyWidth;

	private String m_featureName;
	private String m_stressType;

	public BodyShapeEvaluator(AttributeValueView model, String featureName,
			String stressType, String bodyLength, String bodyWidth) {
		m_model = model;
		m_featureName = featureName;
		m_stressType = stressType;
		m_bodyLength = bodyLength;
		m_bodyWidth = bodyWidth;
	}

	@Override
	public Set<StressInputs> getStressInputs() {
		m_model.refresh();
		Measurement bodyLength = m_model.get(new RobotAttribute(m_bodyLength));
		Measurement bodyWidth = m_model.get(new RobotAttribute(m_bodyWidth));

		Double ratio = bodyLength.getStandardValue() / bodyWidth.getStandardValue();

		StressInputs si = new StressInputs(new Feature(m_featureName));
		si.put(StressInputType.fromString(m_stressType), ratio);

		HashSet<StressInputs> results = new HashSet<StressInputs>();
		results.add(si);
		return results;
	}

}
