/* testing evaluator controller
Copyright (C) 2011, Raytheon BBN Technologies and contributors listed
in the AUTHORS file in the MADV distribution's top directory.

This file is part of MADV, and is distributed under the terms of the
GNU General Public License, with a linking exception, as described in
the file LICENSE in the MADV distribution's top directory. */

package com.bbn.morph.evaluator.test;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

import com.bbn.morph.evaluator.Evaluator;
import com.bbn.morph.evaluator.RatioEvaluator;
import com.bbn.morph.evaluator.RobotDifferenceEvaluator;
import com.bbn.morph.executer.Feature;
import com.bbn.morph.executer.StressInputs;
import com.bbn.morph.view.AttributeValueView;
import com.bbn.morph.view.DesiredAttributeValueView;

public class EvaluationControllerForTesting implements Evaluator {
  
  List<Evaluator> m_evaluators;
  
  public EvaluationControllerForTesting(AttributeValueView model, DesiredAttributeValueView dModel, Set<Feature> features) {
    m_evaluators = new ArrayList<Evaluator>();
    m_evaluators.add(new RatioEvaluator(model,features));
    m_evaluators.add(new RobotDifferenceEvaluator(model, dModel));
  }

  public Set<StressInputs> getStressInputs() {
    Set<StressInputs> inputs = new HashSet<StressInputs>();
    for (Evaluator evaluator : m_evaluators) {
      inputs.addAll(evaluator.getStressInputs());
    }
    return inputs;
  }
}
