/** Stress Input Enum
Copyright (C) 2011, Raytheon BBN Technologies and contributors listed
in the AUTHORS file in the MADV distribution's top directory.

This file is part of MADV, and is distributed under the terms of the
GNU General Public License, with a linking exception, as described in
the file LICENSE in the MADV distribution's top directory. 
**/

package com.bbn.morph.executer;

/** 
 *  The output labels of any external evaluator that can be fed 
 *  into the stress calculation.
 * 
 * @author fyaman
 *
 */
public enum StressInputType {
  TIME,
  WEIGHT,
  FLIPPER_BODY_RATIO,
  NORMALIZED_DIFF,
  RATIO,
  ANGLE,
  FLIPPER_TORQUE_RATIO,
  TORQUE,
  MOTOR_MASS,
  MOTOR_VIABILITY,
  BODY_SHAPE_RATIO;
  
  
  public static StressInputType fromString(String str) {
    if (str != null) {
      for (StressInputType type : StressInputType.values()) {
        if (str.equalsIgnoreCase(type.toString()))
          return type;
      }
    }
    throw new IllegalArgumentException("No StressInputType matching " + str + " found.");
  }
}
