/** Update (attribute + measurement)
Copyright (C) 2011, Raytheon BBN Technologies and contributors listed
in the AUTHORS file in the MADV distribution's top directory.

This file is part of MADV, and is distributed under the terms of the
GNU General Public License, with a linking exception, as described in
the file LICENSE in the MADV distribution's top directory. 
**/

package com.bbn.morph.executer;

import com.bbn.morph.model.Measurement;
import com.bbn.morph.view.RobotAttribute;

public class Update {
	RobotAttribute a;
	Measurement val;
	public Update(RobotAttribute a, Measurement val) {
		super();
		this.a = a;
		this.val = val;
	}
	public Measurement getVal() {
		return val;
	}
	public void setVal(Measurement val) {
		this.val = val;
	}
	public RobotAttribute getAttribute() {
		return a;
	}
	@Override
	public String toString() {
		return "Update [attr=" + a + ", val=" + val + "]";
	}
	
	/**
	 * Modulate the update by the specified amount
	 * @param modulation a value between 0.0 and 1.0 to multiply the update delta by
	 */
	public void modulate(double modulation) {
		val = val.multMD(modulation);
	}
}
