/* 
Copyright (C) 2011, Raytheon BBN Technologies and contributors listed
in the AUTHORS file in the MADV distribution's top directory.

This file is part of MADV, and is distributed under the terms of the
GNU General Public License, with a linking exception, as described in
the file LICENSE in the MADV distribution's top directory. */
package com.bbn.morph.model;

import java.util.List;

/**
 * An instance of a particular component that should be contained in a {@link ComponentLibrary}.
 * @author aadler
 *
 */
public class ComponentInstance {

  private String m_name;
  private List<RobotAttributeValues> m_parameters;

  public ComponentInstance(String name, List<RobotAttributeValues> parameters) {
    m_name = name;
    m_parameters = parameters;
  }

  public List<RobotAttributeValues> getAttributes() {
    return m_parameters;
  }
  
  public String getName() {
    return m_name;
  }
  
}
