/* 
Copyright (C) 2011, Raytheon BBN Technologies and contributors listed
in the AUTHORS file in the MADV distribution's top directory.

This file is part of MADV, and is distributed under the terms of the
GNU General Public License, with a linking exception, as described in
the file LICENSE in the MADV distribution's top directory. */
package com.bbn.morph.model;

public enum UnitNames {

	METERS("m", "meters", "meter"),
	GRAMS("g", "grams", "gram"),
	RADIANS("rad", "radians", "radian"),
	NONE(" ", " ", " ");
	
	private String m_symbol;
	private String m_name;
	private String m_name2;
	
	UnitNames(String symbol, String name, String name2){
		m_symbol = symbol;
		m_name = name;
		m_name2 = name2;
	}
	
	/**
	 * @return returns the symbol of the unit's name (m for any quantity with base meters, g for any quantity with base grams)
	 */
	public String getSymbol() {
		return m_symbol;
	}

	/**
	 * @return the unit's name (meters for any quantity with base meters, grams for any quantity with base grams)
	 */
	public String getName() {
		return m_name;
	}
	
	public String getName2() {
		return m_name2;
	}
	
	@Override
	public String toString() {
		return getName();
	}
}
