/* Create a PhysicalModel for testing purposes
Copyright (C) 2011, Raytheon BBN Technologies and contributors listed
in the AUTHORS file in the MADV distribution's top directory.

This file is part of MADV, and is distributed under the terms of the
GNU General Public License, with a linking exception, as described in
the file LICENSE in the MADV distribution's top directory. */

package com.bbn.morph.model.test;

import java.util.ArrayList;
import java.util.Map;

import com.bbn.morph.model.Measurement;
import com.bbn.morph.model.ModelObject;
import com.bbn.morph.model.PhysicalModel;
import com.bbn.morph.model.RobotAttributeValues;
import com.bbn.morph.view.AttributeValueView;

/** This is the test version of the physical model.
 * It is not good for visualizing or ODE. Only useful for FB execution loop.
 * Overrides only necessary functions.
 * @author fyaman
 *
 */
public class PhysicalModelForTesting extends PhysicalModel {

	Map<String, Measurement> attributeMap;

	public PhysicalModelForTesting(Map<String,Measurement> map){
	  super(new ArrayList<ModelObject>());
		attributeMap=map;
	}
	
	
	@Override
	public Map<String, Measurement> getAttributeMap() {
		return attributeMap;
	}

	@Override
	public AttributeValueView getAttributeValueView() {
		  AttributeValueView attributeValueView = new AttributeValueView(this);
		  return attributeValueView;
	}

	@Override
	public boolean updateRobotAttributeFromDeltas(RobotAttributeValues rav) {
		String att = rav.getAttribute();
	    Measurement oldVal= attributeMap.get(att);
	    attributeMap.put(att, oldVal.addMD(rav.getMeasurement().getStandardValue()));
	   
	    return true;
	}
	
	
	
	
}
