% Tetrahedral lander, with the following changes:
% instrument package volume increased 20x, mass increased 10x
% instrument mass/volume relation disabled

plot_joint_test_graph(1,20);

% Tetrahedral lander, with the following changes:
% instrument power demand increased 20x
% instrument mass/volume relation disabled
              
plot_joint_test_graph(2,20);

plot_joint_test_graph(3,11); % only 11; higher numbers are leftover from old run
tetralander_test3_simcounts;
h = figure;
semilogx(1+simintervals,simcounts,'*-');
xlabel('Iterations Between Evaluations'); ylabel('# Simulations to Resolve Design');
outputfig(h,'sims-to-resolve');
set(gca,'YScale','log');
outputfig(h,'sims-to-resolve-log');

tetralander_test3_0_data;
tetralander_test3b_0_data;
h = figure;
plot(1:numel(tet_3_0_stress),tet_3_0_stress,'b-'); hold on;
plot(1:numel(tet_3b_0_stress),tet_3b_0_stress,'k-');
xlabel('Iteration'); ylabel('Total absolute stress');
outputfig(h,'autoadjust-rate');

tetralander_test5_0_data;
h = figure;
plot(1:numel(tet_5_0_stress),tet_5_0_stress,'b-'); hold on;
plot([2100 2100],[0 max(tet_5_0_stress)],'k-');
plot(1650,tet_5_0_stress(1650),'r*');
plot(4800,tet_5_0_stress(4800),'r*');
xlabel('Iteration'); ylabel('Total absolute stress');
outputfig(h,'motor-split-and-join');

tetralander_test6_0_data;
h = figure;
plot(1:numel(tet_6_0_stress),tet_6_0_stress,'b-'); hold on;
changes = 150*[8 10 16 21 24 26 29 34];
plot(changes,tet_6_0_stress(changes),'r*');
xlabel('Iteration'); ylabel('Total absolute stress');
outputfig(h,'motor-multi-split');

minidroid_test1_0_data;
h = figure;
plot(1:numel(mini_1_0_stress),mini_1_0_stress,'b-'); hold on;
plot(2250,mini_1_0_stress(2250),'r*');
xlabel('Iteration'); ylabel('Total absolute stress');
outputfig(h,'minidroid-motor-split-and-join');
